Package org.eclipse.graphiti.features.context.impl

## Class CustomContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.CustomContext

All Implemented Interfaces:
  `IContext`, `ICustomContext`, `ILocationContext`, `IPropertyBag`

Direct Known Subclasses:
  `AbstractClickContext`

    public class CustomContext
    extends LocationContext
    implements ICustomContext

The Class CustomContext.

### Constructor Summary

Constructors
`CustomContext()` Creates a new `CustomContext`.
`CustomContext​(PictogramElement[] pictogramElements)` Creates a new `CustomContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`GraphicsAlgorithm` `getInnerGraphicsAlgorithm()` Gets the inner graphics algorithm.
`PictogramElement` `getInnerPictogramElement()` Gets the inner pictogram element.
`PictogramElement[]` `getPictogramElements()` Gets the pictogram elements.
`void` `setInnerGraphicsAlgorithm​(GraphicsAlgorithm innerGraphicsAlgorithm)` Sets the inner graphics algorithm.
`void` `setInnerPictogramElement​(PictogramElement innerPictogramElement)` Sets the inner pictogram element.
`void` `setPictogramElements​(PictogramElement[] pictogramElements)` Sets the pictogram elements.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### CustomContext

    public CustomContext()

Creates a new `CustomContext`.

#### CustomContext

    public CustomContext​(PictogramElement[] pictogramElements)

Creates a new `CustomContext`.

Parameters:
  `pictogramElements` - the pictogram elements

### Method Detail

#### getInnerGraphicsAlgorithm

    public GraphicsAlgorithm getInnerGraphicsAlgorithm()

Description copied from interface: `ICustomContext`
Gets the inner graphics algorithm.

Specified by:
  `getInnerGraphicsAlgorithm` in interface `ICustomContext`
Returns:
  the graphics algorithm at the mouse click position

#### getInnerPictogramElement

    public PictogramElement getInnerPictogramElement()

Description copied from interface: `ICustomContext`
Gets the inner pictogram element.

Specified by:
  `getInnerPictogramElement` in interface `ICustomContext`
Returns:
  the pictogram element at the mouse click position

#### getPictogramElements

    public PictogramElement[] getPictogramElements()

Description copied from interface: `ICustomContext`
Gets the pictogram elements.

Specified by:
  `getPictogramElements` in interface `ICustomContext`
Returns:
  the currently selected pictogram elements

#### setInnerGraphicsAlgorithm

    public void setInnerGraphicsAlgorithm​(GraphicsAlgorithm innerGraphicsAlgorithm)

Sets the inner graphics algorithm.

Parameters:
  `innerGraphicsAlgorithm` - the new inner graphics algorithm

#### setInnerPictogramElement

    public void setInnerPictogramElement​(PictogramElement innerPictogramElement)

Sets the inner pictogram element.

Parameters:
  `innerPictogramElement` - the new inner pictogram element

#### setPictogramElements

    public void setPictogramElements​(PictogramElement[] pictogramElements)

Sets the pictogram elements.

Parameters:
  `pictogramElements` - The pictogramElements to set.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `LocationContext`